PXMLRPCStructBase Class Reference

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPCStructBase:

## Public Member Functions

void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
PINDEX | GetNumVariables () const
PXMLRPCVariableBase & | GetVariable (PINDEX idx) const
PXMLRPCVariableBase * | GetVariable (const char *name) const
void | AddVariable (PXMLRPCVariableBase *var)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Static Public Member Functions

static PXMLRPCStructBase & | GetInitialiser ()
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Protected Member Functions

| PXMLRPCStructBase ()
PXMLRPCStructBase & | operator= (const PXMLRPCStructBase &)
void | EndConstructor ()
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes

PArray< PXMLRPCVariableBase > | variablesByOrder
PDictionary< PString, PXMLRPCVariableBase > | variablesByName
PXMLRPCStructBase * | initialiserStack

## Static Protected Attributes

static PMutex | initialiserMutex
static PXMLRPCStructBase * | initialiserInstance

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...

## Constructor & Destructor Documentation

## PXMLRPCStructBase()

PXMLRPCStructBase::PXMLRPCStructBase | ( |  | ) |

protected

## Member Function Documentation

## AddVariable()

void PXMLRPCStructBase::AddVariable | ( | PXMLRPCVariableBase * | var | ) |

## EndConstructor()

void PXMLRPCStructBase::EndConstructor | ( |  | ) |

protected

## GetInitialiser()

static PXMLRPCStructBase& PXMLRPCStructBase::GetInitialiser | ( |  | ) |

inline static

References PAssertNULL.

## GetNumVariables()

PINDEX PXMLRPCStructBase::GetNumVariables | ( |  | ) | const

inline

## GetVariable() [1/2]

PXMLRPCVariableBase& PXMLRPCStructBase::GetVariable | ( | PINDEX | idx | ) | const

inline

## GetVariable() [2/2]

PXMLRPCVariableBase* PXMLRPCStructBase::GetVariable | ( | const char * | name | ) | const

inline

## operator=()

PXMLRPCStructBase& PXMLRPCStructBase::operator= | ( | const PXMLRPCStructBase & |  | ) |

protected

## PrintOn()

void PXMLRPCStructBase::PrintOn | ( | ostream & | strm | ) | const

virtual

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

## Member Data Documentation

## initialiserInstance

PXMLRPCStructBase* PXMLRPCStructBase::initialiserInstance

static protected

## initialiserMutex

PMutex PXMLRPCStructBase::initialiserMutex

static protected

## initialiserStack

PXMLRPCStructBase* PXMLRPCStructBase::initialiserStack

protected

## variablesByName

PDictionary<PString, PXMLRPCVariableBase> PXMLRPCStructBase::variablesByName

protected

## variablesByOrder

PArray<PXMLRPCVariableBase> PXMLRPCStructBase::variablesByOrder

protected

The documentation for this class was generated from the following file:

- pxmlrpc.h